Bug 177676 - [PATCH] net-mgmt/net-mgmt/argus3: Fix MANPAGES=no
Summary: [PATCH] net-mgmt/net-mgmt/argus3: Fix MANPAGES=no
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-06 22:50 UTC by Craig Leres
Modified: 2013-05-11 22:50 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (549 bytes, text/plain)
2013-04-06 22:50 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2013-04-06 22:50:01 UTC
	Turning off the MANPAGES option generates lots of errors
	on install and fatal errors when attempting to create a
	package.

Fix: Wrap remaining MAN5 and MAN8 assignments with a
	".if ${PORT_OPTIONS:MMANPAGES}" test; see attached patch.
How-To-Repeat: 	(With MANPAGES disasbled)

	# cd /usr/ports/net-mgmt/argus3 && make install
	[...]
	===>   Compressing manual pages for argus-sasl-3.0.6.1
	gzip: can't stat: /usr/local/man/man5/argus.conf.5: No such file or directory
	gzip: can't stat: /usr/local/man/man8/argus.8: No such file or directory
	[...]
	# make package
	bob2 194 # make package
	===>  Building package for argus-sasl-3.0.6.1
	tar: man/man5/argus.conf.5.gz: Cannot stat: No such file or directory
	tar: man/man8/argus.8.gz: Cannot stat: No such file or directory
	tar: Error exit delayed from previous errors.
	pkg_create: make_dist: tar command failed with code 256
	*** Error code 1
Comment 1 pauls 2013-05-07 14:59:29 UTC
I thought I had approved this a while ago.  They're approved.

-- 
Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/infosecurity/
Comment 2 dfilter freebsd_committer 2013-05-11 22:40:37 UTC
Author: rakuco
Date: Sat May 11 21:40:30 2013
New Revision: 317920
URL: http://svnweb.freebsd.org/changeset/ports/317920

Log:
  Fix `make package' with MANPAGES=no.
  
  PR:		ports/177676
  Submitted by:	Craig Leres <leres@ee.lbl.gov>
  Approved by:	Paul Schmehl <pauls@utdallas.edu> (maintainer)

Modified:
  head/net-mgmt/argus3/Makefile

Modified: head/net-mgmt/argus3/Makefile
==============================================================================
--- head/net-mgmt/argus3/Makefile	Sat May 11 21:37:57 2013	(r317919)
+++ head/net-mgmt/argus3/Makefile	Sat May 11 21:40:30 2013	(r317920)
@@ -31,8 +31,10 @@ LIB_DEPENDS+=	sasl2:${PORTSDIR}/security
 CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
 .endif
 
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN5=		argus.conf.5
 MAN8=		argus.8
+.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's#/usr/lib/sasl2#${LOCALBASE}/lib/sasl2#' ${WRKSRC}/argus/ArgusOutput.c
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2013-05-11 22:41:01 UTC
State Changed
From-To: open->closed

Committed, thanks. I have not bumped PORTREVISION because the default 
plist has not been changed.